# Generated from selenium-webdriver-2.32.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name selenium-webdriver
%global rubyabi 1.9.1

Summary: The next generation developer focused tool for automated testing of webapps
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.32.1
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://selenium.googlecode.com
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1: x_ignore_nofocus.c
Source2: print_events.h
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(multi_json) => 1.0
Requires: %{?scl_prefix}rubygem(multi_json) < 2
Requires: %{?scl_prefix}rubygem(rubyzip) 
Requires: %{?scl_prefix}rubygem(childprocess) >= 0.2.5
Requires: %{?scl_prefix}rubygem(websocket) => 1.0.4
Requires: %{?scl_prefix}rubygem(websocket) < 1.1
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildRequires: libX11-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
WebDriver is a tool for writing automated tests of websites. It aims to mimic
the behaviour of a real user, and as such interacts with the HTML of the
application.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build
# The upstream gem source ships with this pre-built shared library
# included.  We don't want that, so we'll build it from source like
# good girls and boys.
rm -v .%{gem_instdir}/lib/selenium/webdriver/firefox/native/linux/{x86,amd64}/x_ignore_nofocus.so
gcc -lX11 -ldl -I $RPM_BUILD_ROOT --shared -fPIC -o x_ignore_nofocus.so %{SOURCE1}

%ifarch x86_64
cp x_ignore_nofocus.so .%{gem_instdir}/lib/selenium/webdriver/firefox/native/linux/amd64/
rmdir .%{gem_instdir}/lib/selenium/webdriver/firefox/native/linux/x86/
%endif

%ifarch i386
cp x_ignore_nofocus.so .%{gem_instdir}/lib/selenium/webdriver/firefox/native/linux/x86/
rmdir .%{gem_instdir}/lib/selenium/webdriver/firefox/native/linux/x86_64/
%endif

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/README.md

%changelog
* Thu Jun  6 2013 John Eckersberg <jeckersb@redhat.com> - 2.32.1-2
- Build previously prebuilt shared library from source

* Fri May 10 2013 John Eckersberg <jeckersb@redhat.com> - 2.32.1-1
- Initial package
